> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkeia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool Version

> Returns the snapshot of a specific version of the tool.

## Endpoint

`GET https://gateway.orkeia.ai/tools/{id}/version-control/{versionId}`

**Authentication**\
Requires header `authorization: <your_token>`.

## Path Parameters

| Name      | Type   | Required | Description                              | Example      |
| --------- | ------ | -------- | ---------------------------------------- | ------------ |
| id        | string | Yes      | Unique identifier of the tool.           | TOOL\_123456 |
| versionId | string | Yes      | Identifier/slug of the version snapshot. | v1.0.1       |

## Example (cURL)

```bash theme={null}
curl -X GET "https://gateway.orkeia.ai/tools/TOOL_123456/version-control/v1.0.1"   -H "authorization: <your_token>"
```

## Responses

### Response - Success

```json response theme={null}
{
  "status": "OK",
  "data": {
    "id": "TOOL_123456",
    "snapshot": {
      "name": "Tool X",
      "description": "Description",
      "code": "export async function run(input){ return { ok: true }; }",
      "entryFunctionName": "run",
      "sectors": ["engineering"],
      "publisher": "Orkeia",
      "enabled": true,
      "environments": ["prod"],
      "mcp": {
        "url": "https://tools.orkeia.ai/my-tool",
        "transport": "sse"
      }
    },
    "versionId": "v1.0.1",
    "createdAt": "2024-07-10T09:30:00Z"
  }
}
```

### 500 — Server Error

```json theme={null}
{
  "status": "ERROR",
  "code": "server/error",
  "data": null
}
```

### 400 — Client Error

```json theme={null}
{
  "status": "ERROR",
  "code": "client/error",
  "data": null
}
```
